PHPExcel_CachedObjectStorage

# Class: PHPExcel_CachedObjectStorageFactory

Source Location: /PHPExcel/CachedObjectStorageFactory.php

### Class Overview

PHPExcel_CachedObjectStorageFactory

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- cache_igbinary
- cache_in_memory
- cache_in_memory_gzip
- cache_in_memory_serialized
- cache_to_apc
- cache_to_discISAM
- cache_to_memcache
- cache_to_phpTemp
- cache_to_sqlite
- cache_to_sqlite3
- cache_to_wincache

### Methods

- getAllCacheStorageMethods
- getCacheStorageClass
- getCacheStorageMethod
- getCacheStorageMethods
- getInstance
- initialize

### Class Details

[line 37]
PHPExcel_CachedObjectStorageFactory

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method getAllCacheStorageMethods [line 155]

`static string[] getAllCacheStorageMethods( )`

Return the list of all possible cache storage methods

#### Tags:

access: | public

[ Top ]

### static method getCacheStorageClass [line 144]

`static PHPExcel_CachedObjectStorage_ICache|NULL getCacheStorageClass( )`

Return the current cache storage class

#### Tags:

access: | public

[ Top ]

### static method getCacheStorageMethod [line 133]

`static string|NULL getCacheStorageMethod( )`

Return the current cache storage method

#### Tags:

access: | public

[ Top ]

### static method getCacheStorageMethods [line 166]

`static string[] getCacheStorageMethods( )`

Return the list of all available cache storage methods

#### Tags:

access: | public

[ Top ]

### static method getInstance [line 220]

`static PHPExcel_CachedObjectStorage_ICache getInstance( PHPExcel_Worksheet $parent)`

Initialise the cache storage

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $parent | Enable cell caching for this worksheet

[ Top ]

### static method initialize [line 187]

`static boolean initialize( [string $method = self::cache_in_memory], [array $arguments = array()])`

Identify the cache storage method to use

#### Tags:

access: | public

#### Parameters:

string | $method | Name of the method to use for cell cacheing
array | $arguments | of mixed $arguments Additional arguments to pass to the cell caching class when instantiating

[ Top ]

### Class Constants

#### cache_igbinary = 'Igbinary'

[line 42]

[ Top ]

#### cache_in_memory = 'Memory'

[line 39]

[ Top ]

#### cache_in_memory_gzip = 'MemoryGZip'

[line 40]

[ Top ]

#### cache_in_memory_serialized = 'MemorySerialized'

[line 41]

[ Top ]

#### cache_to_apc = 'APC'

[line 44]

[ Top ]

#### cache_to_discISAM = 'DiscISAM'

[line 43]

[ Top ]

#### cache_to_memcache = 'Memcache'

[line 45]

[ Top ]

#### cache_to_phpTemp = 'PHPTemp'

[line 46]

[ Top ]

#### cache_to_sqlite = 'SQLite'

[line 48]

[ Top ]

#### cache_to_sqlite3 = 'SQLite3'

[line 49]

[ Top ]

#### cache_to_wincache = 'Wincache'

[line 47]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:20 +0200 by phpDocumentor 1.4.4